%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           pyclutter-gst
Version:        1.0.0
Release:        2%{?dist}
Summary:        Python modules that allow you to use the Clutter-GST toolkit

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org/
Source0:        http://www.clutter-project.org/sources/%{name}/1.0/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  clutter-devel
BuildRequires:  clutter-gst-devel
BuildRequires:  gstreamer-python-devel
BuildRequires:  gtk2-devel
BuildRequires:  pyclutter-devel
BuildRequires:  pygtk2-devel

%description
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.

This package provides the binding for clutter-gtk

%package devel
Summary:        Pyclutter development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python-devel clutter-devel pygobject2-devel

%description devel
Header files and libraries for building a extension library for the
Pyclutter

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL="%{__install} -p" 

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/cluttergst/
%{_datadir}/pyclutter/1.0/defs/cluttergst*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}-1.0.pc

%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Apr  3 2010 Peter Robinson <pbrobinson@gmail.com> - 1.0.0-1
- Initial package
